﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MemberLib
{
    /// <summary>
    /// 회원 클래스
    /// </summary>
    public class Member
    {
        /// <summary>
        /// 아이디 속성 - 가져오기
        /// </summary>
        public string ID
        {
            get;
            private set;
        }
        /// <summary>
        /// 이름 속성 - 가져오기
        /// </summary>
        public string Name
        {
            get;
            private set;
        }
        /// <summary>
        /// 주소 속성 - 가져오기
        /// </summary>
        public string Address
        {
            get;
            private set;
        }
        /// <summary>
        /// 나이 속성 - 가져오기
        /// </summary>
        public int Age
        {
            get;
            private set;
        }
        /// <summary>
        /// 회원 클래스 생성자
        /// </summary>
        /// <param name="id">아이디</param>
        /// <param name="name">이름</param>
        /// <param name="address">주소</param>
        /// <param name="age">나이</param>
        public Member(string id, string name, string address, int age)
        {
            ID = id;
            Name = name;
            Address = address;
            Age = age;
        }
        /// <summary>
        /// ToString 재정의
        /// </summary>
        /// <returns>회원 아이디</returns>
        public override string ToString()
        {
            return ID;
        }
    }
}
